# Originally imported from RPM Sphere

#define __os_install_post %{nil}

Name:		smake
Version:	1.2.5
Release:	%mkrel 1
Summary:	The Schily Make Program
Group:		Development/Tools
License:	GPL
Url:		https://sourceforge.net/projects/s-make/
Source:		https://sourceforge.net/projects/s-make/files/%{name}-%{version}.tar.xz
BuildRequires:	make
BuildRequires:  gcc
BuildRequires:  glibc-devel

%description
Smake is the only make program with automake features, it is the only program
that works on unknown platforms.

Smake executes command sequences based on relations of modification dates of
files. The command sequences are taken from a set of rules found in a makefile
or in the set of implicit rules. The argument target is typically a program
that is to be built from the known rules.

If no -f option is present, smake looks for SMakefile then for Makefile and
then for makefile in the named order.

If no target is specified on the command line, smake uses the first target that
could be found in makefilename and that does not start with a dot ('.').

If a target has no explicit entry in the makefile smake tries to use implicit
rules or the .DEFAULT rule.

Unlike most other make programs, smake propagates all com­ mand line macros to
sub makes. This is a big advantage with hierarchical makefile systems.
Propagation is done in a POSIX compliant way using the MAKEFLAGS= environment.

Unlike other make programs, smake includes a set of automake features that
allow to implement portable, layered, object oriented makefiles.

Author: Joerg Schilling <schilling@fokus.gmd.de>

%prep
%setup -q

%build
%__make %{?jobs:-j%{jobs}} CWARNOPTS="%{optflags}"

%install
make install DESTDIR=$RPM_BUILD_ROOT INS_BASE=/usr MANDIR=man
%__rm -f $RPM_BUILD_ROOT/usr/lib/*.a $RPM_BUILD_ROOT/usr/lib/profiled/*.a

%clean
%__rm -rf $RPM_BUILD_ROOT

%files
%doc AN-%{version} PORTING README* smake/defaults.smk
%{_bindir}/smake
%config(noreplace) /usr/lib/defaults.smk
%{_includedir}/schily
%{_mandir}/man1/smake.1*
%{_mandir}/man5/make*.5*


%changelog
* Mon Dec 25 2017 Zen Subz <techars21 at gmail dot com> - 1.2.5-1pclos2017
- Build for PCLinuxOS
